#1911 closed defect (fixed)

Include bsp.h in confdefs.h by default

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@…, chrisj@… Blocked By:
Blocking:

Description

We should include <bsp.h> for the

o BSP_IDLE_TASK_BODY,
o BSP_IDLE_TASK_STACK_SIZE,
o BSP_INTERRUPT_STACK_SIZE,
o BSP_ZERO_WORKSPACE_AUTOMATICALLY,
o BSP_DEFAULT_UNIFIED_WORK_AREAS,
o CONFIGURE_MALLOC_BSP_SUPPORTS_SBRK, and
o CONFIGURE_BSP_PREREQUISITE_DRIVERS

defines. To avoid problems with the multi-lib rule make it possible to disable this include.

Index: sapi/include/confdefs.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/sapi/include/confdefs.h,v
retrieving revision 1.171
diff -u -r1.171 confdefs.h
--- sapi/include/confdefs.h 9 Sep 2011 11:02:03 -0000 1.171
+++ sapi/include/confdefs.h 9 Sep 2011 12:01:13 -0000
@@ -45,6 +45,10 @@

#include <rtems.h>
#include <rtems/score/apimutex.h>


+#ifndef CONFIGURE_DO_NOT_INCLUDE_BSP_H
+ #include <bsp.h>
+#endif
+

#ifdef cplusplus
extern "C" {
#endif

Index: libmisc/dummy/dummy.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/libmisc/dummy/dummy.c,v
retrieving revision 1.15
diff -u -r1.15 dummy.c
--- libmisc/dummy/dummy.c 5 Aug 2009 00:00:54 -0000 1.15
+++ libmisc/dummy/dummy.c 9 Sep 2011 12:01:13 -0000
@@ -34,5 +34,7 @@

#define CONFIGURE_INIT


+#define CONFIGURE_DO_NOT_INCLUDE_BSP_H
+

#include <rtems/confdefs.h>

Change History (4)

comment:1 Changed on Sep 9, 2011 at 11:51:25 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:2 Changed on Sep 9, 2011 at 9:21:31 PM by Chris Johns

Cc: Chris Johns added

comment:3 Changed on Feb 12, 2013 at 7:37:18 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.